function DeplacerItemDeVers(de, vers)
{
	var zlAv = de+"[]";
	var zlAp = vers+"[]";

	if (document.newZone.elements[zlAv].options.selectedIndex >= 0) {
		while (document.newZone.elements[zlAv].options.selectedIndex >= 0) {
			ind = document.newZone.elements[zlAv].options.selectedIndex;
			texte = document.newZone.elements[zlAv].options[ind].text;
			valeur = document.newZone.elements[zlAv].options[ind].value;
			document.newZone.elements[zlAv].options[ind] = null;
			var user = new Option(texte, valeur);
			lg = document.newZone.elements[zlAp].options.length;
			document.newZone.elements[zlAp].options[lg] = user;
		}
	}

return(false);
}




function SelectionnerItems(form)
{
	zl = "OUT[]";
	lg = document.newZone.elements[zl].options.length;

	for (cpt = 0; cpt < lg; cpt++) {
		document.newZone.elements[zl].options[cpt].selected = true;
	}

	return(true);
}




function checkForm(formName)
{
	switch (formName) {
	case 'editMetatags':
		break;

	case 'formAdmin':
		if (document.getElementById('FirstName').value == '') {
			alert('Le champ "Nom" n\'est pas rempli !');
			document.getElementById('FirstName').style.backgroundColor = '#FFDDCC';
			document.getElementById('FirstName').style.borderColor = '#FF0000';
			document.getElementById('FirstName').focus();
			return(false);
		}

		if (document.getElementById('LastName').value == '') {
			alert('Le champ "Prenon" n\'est pas rempli !');
			document.getElementById('LastName').style.backgroundColor = '#FFDDCC';
			document.getElementById('LastName').style.borderColor = '#FF0000';
			document.getElementById('LastName').focus();
			return(false);
		}

		if (document.getElementById('UserName').value == '') {
			alert('Le champ "Nom d\'utilisateur" n\'est pas rempli !');
			document.getElementById('UserName').style.backgroundColor = '#FFDDCC';
			document.getElementById('UserName').style.borderColor = '#FF0000';
			document.getElementById('UserName').focus();
			return(false);
		}

		break;

	case 'formViewNbProduct':
		if (document.getElementById('NbProduct').value == '') {
			alert('Nombre incorrect ou non saisi !');
			document.getElementById('NbProduct').style.backgroundColor = '#FFDDCC';
			document.getElementById('NbProduct').style.borderColor = '#FF0000';
			document.getElementById('NbProduct').focus();
			return(false);
		}

		break;

	case 'modifShopDescription':
		/*if (document.getElementById('ShopName').value == '') {
			alert('Le nom de votre boutique n\'est pas renseigne !');
			document.getElementById('ShopName').style.backgroundColor = '#FFDDCC';
			document.getElementById('ShopName').style.borderColor = '#FF0000';
			document.getElementById('ShopName').focus();
			return(false);
		}*/

		break;

	case 'addProduct':
		if (document.getElementById('ProductName').value == '') {
			alert('Le nom de l\'article n\'est pas renseigne !');
			document.getElementById('ProductName').style.backgroundColor = '#FFDDCC';
			document.getElementById('ProductName').style.borderColor = '#FF0000';
			document.getElementById('ProductName').focus();
			return(false);
		}

		if (document.getElementById('Reference').value == '') {
			alert('Reference d\'article manquante !');
			document.getElementById('Reference').style.backgroundColor = '#FFDDCC';
			document.getElementById('Reference').style.borderColor = '#FF0000';
			document.getElementById('Reference').focus();
			return(false);
		}

		if (document.getElementById('ProductPrice').value == '') {
			alert('Vous n\'avez pas defini de prix !');
			document.getElementById('ProductPrice').style.backgroundColor = '#FFDDCC';
			document.getElementById('ProductPrice').style.borderColor = '#FF0000';
			document.getElementById('ProductPrice').focus();
			return(false);
		}

		if (document.getElementById('ID_PartSubCategory').value == 'X') {
			alert('Veuillez choisir une sous-categorie !');
			document.getElementById('ID_PartSubCategory').style.backgroundColor = '#FFDDCC';
			document.getElementById('ID_PartSubCategory').style.borderColor = '#FF0000';
			document.getElementById('ID_PartSubCategory').focus();
			return(false);
		}

		break;

	case 'formSubCategory':
		if (document.getElementById('SubCategoryName').value == '') {
			alert('le nom de la sous-categorie est manquant !');
			document.getElementById('SubCategoryName').style.backgroundColor = '#FFDDCC';
			document.getElementById('SubCategoryName').style.borderColor = '#FF0000';
			document.getElementById('SubCategoryName').focus();
			return(false);
		}

		break;

	case 'formCategory':
		if (document.getElementById('CategoryName').value == '') {
			alert('le nom de la categorie est manquant !');
			document.getElementById('CategoryName').style.backgroundColor = '#FFDDCC';
			document.getElementById('CategoryName').style.borderColor = '#FF0000';
			document.getElementById('CategoryName').focus();
			return(false);
		}

		break;

	case 'editCompanyInfo':
		if (document.getElementById('CompanyName').value == '') {
			alert('Le nom de votre societe est manquant !');
			document.getElementById('CompanyName').style.backgroundColor = '#FFDDCC';
			document.getElementById('CompanyName').style.borderColor = '#FF0000';
			document.getElementById('CompanyName').focus();
			return(false);
		}

		if (document.getElementById('Address').value == '') {
			alert('Votre adresse est manquante !');
			document.getElementById('Address').style.backgroundColor = '#FFDDCC';
			document.getElementById('Address').style.borderColor = '#FF0000';
			document.getElementById('Address').focus();
			return(false);
		}

		if (document.getElementById('Telephone').value == '') {
			alert('Votre numero de telephone est manquant !');
			document.getElementById('Telephone').style.backgroundColor = '#FFDDCC';
			document.getElementById('Telephone').style.borderColor = '#FF0000';
			document.getElementById('Telephone').focus();
			return(false);
		}

		if (document.getElementById('ID_State').options[document.getElementById('ID_State').selectedIndex].value == 'X') {
			alert('Veuillez choisir votre departement !');
			document.getElementById('ID_State').style.backgroundColor = '#FFDDCC';
			document.getElementById('ID_State').style.borderColor = '#FF0000';
			document.getElementById('ID_State').focus();
			return(false);
		}

		if (document.getElementById('ID_City').options[document.getElementById('ID_City').selectedIndex].value == 'X') {
			alert('Veuillez choisir votre ville !');
			document.getElementById('ID_City').style.backgroundColor = '#FFDDCC';
			document.getElementById('ID_City').style.borderColor = '#FF0000';
			document.getElementById('ID_City').focus();
			return(false);
		}

		if (document.getElementById('Email').value == '') {
			alert('Votre adresse email est manquante !');
			document.getElementById('Email').style.backgroundColor = '#FFDDCC';
			document.getElementById('Email').style.borderColor = '#FF0000';
			document.getElementById('Email').focus();
			return(false);
		}

		if (document.getElementById('ApeCode').value == '') {
			alert('Votre code APE est manquant !');
			document.getElementById('ApeCode').style.backgroundColor = '#FFDDCC';
			document.getElementById('ApeCode').style.borderColor = '#FF0000';
			document.getElementById('ApeCode').focus();
			return(false);
		}

		if (document.getElementById('SirenCode').value == '') {
			alert('Votre code SIREN est manquant !');
			document.getElementById('SirenCode').style.backgroundColor = '#FFDDCC';
			document.getElementById('SirenCode').style.borderColor = '#FF0000';
			document.getElementById('SirenCode').focus();
			return(false);
		}

		break;
	}

	document.getElementById(formName).submit();

}



